[Overview][Classes][Procedures and functions][Index] | Reference for unit 'AsyncProcess' (#lcl)

# TAsyncProcess.UnhookPipeHandle

Removes the pipe handler assigned for the process.

## Declaration

Source position: asyncprocess.pp line 45

`protected procedure TAsyncProcess.UnhookPipeHandle;`

## Description

UnhookPipeHandle is a procedure used to remove the pipe handler assigned for the process in the Execute method. UnhookPipeHandle calls RemovePipeEventHandler when a pipe handler has been assigned.

UnhookPipeHandle is called from the Destroy method, and from HandlePipeInput when the prBroken flag is found in the parameters passed to the method.

## See also

TAsyncProcess.Execute |  | Executes the process.
TPipeReason |  | Represents reasons that a pipe event was signalled.